package tunneler;
import java.awt.event.*;
/**
 * @author vondrm4
 *
 *
 * zajisteni detekce zmacknuti uvolneni klaves
 */
public class Klavesnice implements KeyListener{
    
    /*OVLADANI
     *int[] klavesnice
     *0 - strelba
     *1 - levo
     *2 - pravo
     *3 - nahoru
     *4 - dolu
    */ 
   Hra hra;
   Hrac[] hraci;
    public Klavesnice(Hra hra) {
	   this.hra=hra;
	   hraci=hra.hraci;
	   
    }
	@Override
    public void keyPressed(KeyEvent e)
	{
		//podle zmacknute klavesy hraci priradi moznou zmenu x, y
	    int cislo=e.getKeyCode();
		int cisloLok=e.getKeyLocation();
	    for(int i=0; i<hraci.length;i++){
			if(cislo==hraci[i].klavesnice[0][0] && cisloLok==hraci[i].klavesnice[0][1])hraci[i].triggerHappy=true;
			if(cislo==hraci[i].klavesnice[1][0] && cisloLok==hraci[i].klavesnice[1][1])hraci[i].smer[0]=-1;
			if(cislo==hraci[i].klavesnice[2][0] && cisloLok==hraci[i].klavesnice[2][1])hraci[i].smer[0]=1;
			if(cislo==hraci[i].klavesnice[3][0] && cisloLok==hraci[i].klavesnice[3][1])hraci[i].smer[1]=-1;
			if(cislo==hraci[i].klavesnice[4][0] && cisloLok==hraci[i].klavesnice[4][1])hraci[i].smer[1]=1;
	    }
		//escape key
	    if(cislo==hra.exitKey[0] && cisloLok==hra.exitKey[1])hra.vlakno.onOff=false;
	}

	@Override
    public void keyReleased(KeyEvent e)
	{
	    int cislo=e.getKeyCode();
		int cisloLok=e.getKeyLocation();
	    for(int i=0; i<hraci.length;i++){
			if(cislo==hraci[i].klavesnice[0][0] && cisloLok==hraci[i].klavesnice[0][1])hraci[i].triggerHappy=false;
			if(cislo==hraci[i].klavesnice[1][0] && cisloLok==hraci[i].klavesnice[1][1])hraci[i].smer[0]=0;
			if(cislo==hraci[i].klavesnice[2][0] && cisloLok==hraci[i].klavesnice[2][1])hraci[i].smer[0]=0;
			if(cislo==hraci[i].klavesnice[3][0] && cisloLok==hraci[i].klavesnice[3][1])hraci[i].smer[1]=0;
			if(cislo==hraci[i].klavesnice[4][0] && cisloLok==hraci[i].klavesnice[4][1])hraci[i].smer[1]=0;
	    }
	}

	@Override
	public void keyTyped(KeyEvent e)
	{

	}
    
}
