package tunneler;
import java.awt.Color;

/**
 *
 * @author vondrm4
 *
 *
 * trida pro ulozeni nastaveni
 */
public class Vlastnosti implements java.io.Serializable{
	String[] jmena;
	int[][][] ovladani;
	Color[] barvy;
	boolean[] on;
	int pocetKol;
	public Vlastnosti(){
		jmena=setNames();
		ovladani=setControls();
		barvy=setColors();
		on=setOn();
		pocetKol=3;
	}
	public boolean kontrola(){
	//kontrola jestli jednotlive pole maji stejnou delku
		if( jmena.length == ovladani.length && ovladani.length == barvy.length && barvy.length==on.length){
			return true;
		}
		return false;
	}
	private String[] setNames(){
		String[] defNames=new String[4];
		defNames[0]="hrac 1";
		defNames[1]="hrac 2";
		defNames[2]="hrac 3";
		defNames[3]="hrac 4";
		
		return defNames;
	}
	private int[][][] setControls(){
	/*OVLADANI
     *int[hrac][][]
	 * [][0]
     *0 - strelba
     *1 - levo
     *2 - pravo
     *3 - nahoru
     *4 - dolu
	 * [][1]
	 * kod casti klavesnice
    */
		int[][][] defControl=new int[4][5][2];
		defControl[0][0][0]=17;
		defControl[0][1][0]=65;
		defControl[0][2][0]=68;
		defControl[0][3][0]=87;
		defControl[0][4][0]=83;
		defControl[0][0][1]=2;
		defControl[0][1][1]=1;
		defControl[0][2][1]=1;
		defControl[0][3][1]=1;
		defControl[0][4][1]=1;

		defControl[1][0][0]=10;
		defControl[1][1][0]=37;
		defControl[1][2][0]=39;
		defControl[1][3][0]=38;
		defControl[1][4][0]=40;
		defControl[1][0][1]=1;
		defControl[1][1][1]=1;
		defControl[1][2][1]=1;
		defControl[1][3][1]=1;
		defControl[1][4][1]=1;

		defControl[2][0][0]=32;
		defControl[2][1][0]=72;
		defControl[2][2][0]=75;
		defControl[2][3][0]=85;
		defControl[2][4][0]=74;
		defControl[2][0][1]=1;
		defControl[2][1][1]=1;
		defControl[2][2][1]=1;
		defControl[2][3][1]=1;
		defControl[2][4][1]=1;

		defControl[3][0][0]=155;
		defControl[3][1][0]=35;
		defControl[3][2][0]=34;
		defControl[3][3][0]=12;
		defControl[3][4][0]=40;
		defControl[3][0][1]=4;
		defControl[3][1][1]=4;
		defControl[3][2][1]=4;
		defControl[3][3][1]=4;
		defControl[3][4][1]=4;

		return defControl;
	}
	private Color[] setColors(){
		Color[] defColor=new Color[4];
		defColor[0]=Color.BLUE;
		defColor[1]=Color.GREEN;
		defColor[2]=Color.GRAY;
		defColor[3]=Color.ORANGE;
		return defColor;
	}
	private boolean[] setOn(){
		boolean[] defOn=new boolean[4];
		for (int i = 0; i < defOn.length; i++) {
			defOn[i]=true;

		}
		return defOn;
	}
}
